const baseUrl = 'https://api.charleskeith.cn/api' // 请求的本域名
const reportUrl = 'http://192.168.138.55:8081/api'

const install = (Vue, vm) => {
	/*************** 认证 API *****************/
	// 登录
	let quickLogin = params => vm.$u.post(`${baseUrl}/report/user/quickLogin`, params)
	// 报表列表
	const getReportList = params => vm.$u.get(`${reportUrl}/report/chart/getList`, params)
	// 数据集
	const dataSetPreview = params => vm.$u.post(`${reportUrl}/report/dataset/preview`, params)
	
	vm.$u.api = {
		quickLogin,
		getReportList,
		dataSetPreview
	}
}

export default {
	install
}